{% load i18n %}
{% load staticfiles %}
{% load data_filters %}

<table style="margin-bottom: 2px;margin-top: 10px; float: left; width: 100%;">
    <tr class="panel-header">
      <td>
        <span style="font-size: 15px;margin-top: -5px; padding-right: 20px;">
          <b>{{ model | to_verbose_name }}</b>
        </span>
      </td>
</table>

<table border="0" style="margin-bottom: 2px;margin-top: -2px; float: left; width: 100%;">
    <tr style="padding: 5px;height: auto;">
      <td colspan="2" style="padding: 0px;">
        <div class="datagrid-toolbar">

        {% include 'base_filter.html' %}
          <div style="height: 27px;display: block;">
            <span style="float: left">
              <a type="button" class="cls_op easyui-linkbutton" data-options="iconCls:'icon-redo',plain:true" href="{% url 'adminlog_export' %}" value="{% trans 'Export' %}" style="">
                {%trans "Export" %}
              </a>
              <a class="cls_op easyui-linkbutton" data-options="iconCls:'icon-no',plain:true" type="button" value="{% trans 'Delete out-of-date records' %}" href="#" onclick="delete_out_of_adminlog()">
                {%trans "Delete out-of-date records" %}
              </a>
                  <script type="text/javascript">
                      function delete_out_of_adminlog(){
                          if(window.confirm('Purge data which is older than 200 days?')){
                            $.ajax({
                              url: "{% url 'delete_out_of_adminlog' %}",
                              type: 'GET',
                              success: function(){
                                window.location.href = "{% url 'adminlog' %}"; //跳转页面
                              }
                            });
                          }
                      }
                  </script>
            </span>
          </div>

        </div>
      </td>
    </tr>
</table>
